DROP TABLE IF EXISTS `authorizations`;
DROP TABLE IF EXISTS `authorizationErrors`;

CREATE TABLE `authorizations` (
  `id` int PRIMARY KEY AUTO_INCREMENT,
  `success` boolean NOT NULL,
  `cardNumber` varchar(255) NOT NULL,
  `cvv` varchar(255) NOT NULL,
  `addressLine1` varchar(255) NOT NULL,
  `addressLine2` varchar(255),
  `cityName` varchar(255) NOT NULL,
  `countryCode` varchar(255) NOT NULL,
  `countryName` varchar(255) NOT NULL,
  `postalCode` varchar(255) NOT NULL,
  `amount` varchar(255) NOT NULL,
  `avsResult` varchar(255),
  `cardSummary` varchar(255),
  `refusalReasonRaw` varchar(255),
  `eci` varchar(255),
  `acquirerAccountCode` varchar(255),
  `expiryDate` varchar(255) NOT NULL,
  `xid` varchar(255),
  `cavvAlgorithm` varchar(255),
  `cardBin` varchar(255),
  `threeDAuthenticated` varchar(255),
  `cvcResultRaw` varchar(255),
  `paymentMethodVariant` varchar(255),
  `acquirerReference` varchar(255),
  `cardIssuingCountry` varchar(255),
  `liabilityShift` varchar(255),
  `authCode` varchar(255),
  `cardHolderName` varchar(255) NOT NULL,
  `isCardCommercial` boolean,
  `threeDOffered` boolean,
  `threeDOfferedResponse` varchar(255),
  `authorisationMid` varchar(255),
  `issuerCountry` varchar(255),
  `cvcResult` varchar(255) NOT NULL,
  `cavv` varchar(255),
  `threeDAuthenticatedResponse` varchar(255),
  `avsResultRaw` varchar(255),
  `paymentMethod` varchar(255),
  `cardPaymentMethod` varchar(255),
  `acquirerCode` varchar(255),
  `pspReference` varchar(255),
  `resultCode` varchar(255),
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL
);

CREATE TABLE `authorizationErrors` (
  `id` int PRIMARY KEY AUTO_INCREMENT,
  `success` boolean NOT NULL,
  `cardNumber` varchar(255) NOT NULL,
  `cvv` varchar(255) NOT NULL,
  `addressLine1` varchar(255) NOT NULL,
  `addressLine2` varchar(255),
  `cityName` varchar(255) NOT NULL,
  `countryCode` varchar(255) NOT NULL,
  `countryName` varchar(255) NOT NULL,
  `postalCode` varchar(255) NOT NULL,
  `amount` varchar(255) NOT NULL,
  `avsResult` varchar(255),
  `cardSummary` varchar(255),
  `refusalReasonRaw` varchar(255),
  `eci` varchar(255),
  `acquirerAccountCode` varchar(255),
  `expiryDate` varchar(255) NOT NULL,
  `xid` varchar(255),
  `cavvAlgorithm` varchar(255),
  `cardBin` varchar(255),
  `threeDAuthenticated` varchar(255),
  `cvcResultRaw` varchar(255),
  `paymentMethodVariant` varchar(255),
  `acquirerReference` varchar(255),
  `cardIssuingCountry` varchar(255),
  `liabilityShift` varchar(255),
  `authCode` varchar(255),
  `cardHolderName` varchar(255) NOT NULL,
  `isCardCommercial` boolean,
  `threeDOffered` boolean,
  `threeDOfferedResponse` varchar(255),
  `authorisationMid` varchar(255),
  `issuerCountry` varchar(255),
  `cvcResult` varchar(255) NOT NULL,
  `cavv` varchar(255),
  `threeDAuthenticatedResponse` varchar(255),
  `avsResultRaw` varchar(255),
  `paymentMethod` varchar(255),
  `cardPaymentMethod` varchar(255),
  `acquirerCode` varchar(255),
  `pspReference` varchar(255),
  `resultCode` varchar(255),
  `errorDescription` varchar(255) NOT NULL,
  `createdAt` datetime NOT NULL,
  `updatedAt` datetime NOT NULL
);
